org.apache.hadoop.yarn.server.api.protocolrecords

## Class SCMUploaderCanUploadRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.SCMUploaderCanUploadRequest

- Direct Known Subclasses:
    SCMUploaderCanUploadRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SCMUploaderCanUploadRequest
      extends Object

  The request from the NodeManager to the `SharedCacheManager` that requests whether it can upload a resource in the shared cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMUploaderCanUploadRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getResourceKey()` Get the `key` of the resource that would be uploaded to the shared cache.
    `abstract void` | `setResourceKey(String key)` Set the `key` of the resource that would be uploaded to the shared cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMUploaderCanUploadRequest

          public SCMUploaderCanUploadRequest()

  - ### Method Detail

    - #### getResourceKey

          public abstract String getResourceKey()

      Get the `key` of the resource that would be uploaded to the shared cache.
      Returns:
        `key`

    - #### setResourceKey

          public abstract void setResourceKey(String key)

      Set the `key` of the resource that would be uploaded to the shared cache.
      Parameters:
        `key` - unique identifier for the resource

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.